@echo off
echo MicroStation PC V4.0 Driver Installation
if %1x == x goto usage
if %2x == x goto usage
if not exist %1\lzcopy.exe goto insdk
rem if not exist %2\mgds.exe goto usage2
%1\lzcopy.exe %1\pmustat\mgl4s3.mg_ %2\drivers\mgl4s3.mgl
if errorlevel 1 goto error
%1\lzcopy.exe %1\pmustat\mgl4s3.e_p %2\drivers\mgl4s3.exp
if errorlevel 1 goto error
%1\lzcopy.exe %1\pmustat\mgl4s3.ma_ %2\drivers\mgl4s3.ma
if errorlevel 1 goto error
if exist %2\usconfig.exe goto setup1
if exist %2\usconfig.com goto setup1
if exist %2\usconfig.bat goto setup1
goto errorsetup
:setup1
%2\usconfig
goto theend
:errorsetup
echo Cannot configure MicroStation PC
goto theend
:insdk
echo Please insert the Utilities and Drivers Diskette
goto usage
:usage2
echo Cannot find MicroStation PC in the directory %2
:usage
echo [Usage]: INSTALL [Source Drive:] [Target Directory]
:error
:theend
